Mailinglist Archive: opensuse (882 mails)

< Previous Next >
Re: [opensuse] zypper patch vs zypper up?
  • From: Greg Freemyer <greg.freemyer@xxxxxxxxx>
  • Date: Fri, 10 Dec 2010 19:06:42 -0500
  • Message-id: <AANLkTi=Bzb07tuc=2BDRRD8=kRgCN0woU84o6WJVpM+e@xxxxxxxxxxxxxx>
2010/12/10 Ken Schneider - openSUSE <suse-list3@xxxxxxxxxxxxx>:
On 12/10/2010 04:02 PM, Greg Freemyer pecked at the keyboard and wrote:
On Fri, Dec 10, 2010 at 3:37 PM, Ken Schneider - openSUSE
<suse-list3@xxxxxxxxxxxxx> wrote:
On 12/10/2010 02:31 PM, Mariusz Fik pecked at the keyboard and wrote:
Dnia piątek, 10 grudnia 2010 o 18:27:32 Marcus Meissner napisał(a):
On Fri, Dec 10, 2010 at 12:06:37PM -0500, Greg Freemyer wrote:
All,

I upgraded my desktop to 11.3 months ago via "zypper dup".

Since then I've been doing "zypper patch" routinely and have been
getting security updates.

By chance I just typed "zypper up".

It looks like my full system needs to be updated per zypper up:
1769 packages to upgrade, 4 new, 1 to remove.

I'm fairly confused by that.  Can anyone explain?

zypper patch will install the official online updates.

zypper up will just update any new RPMs in your active repositories.
Without changing the package vendor.

Ciao, Marcus


How about showing the results of   zypper lr

Could be a misconfigured repo is active (factory?).

--
Ken Schneider

Ken,

I'm not sure anything is wrong.

sudo zypper lr
# | Alias                       | Name
| Enabled | Refresh
--+-----------------------------+-------------------------------------+---------+--------
1 | KDE:Release:45              | KDE:Release:45
| Yes     | Yes
2 | Main_Repository_(DEBUG)     | Main Repository (DEBUG)
| Yes     | Yes
3 | Packman_Repository_1        | Packman Repository
| Yes     | Yes
4 | openSUSE-11.3_Contrib       | openSUSE-11.3 Contrib
| No      | Yes
5 | openSUSE_11.3_KDE_Extras_45 | openSUSE_11.3_KDE_Extras_45
| Yes     | Yes
6 | openSUSE_Tumbleweed         | openSUSE:Tumbleweed (openSUSE_11.3)
| Yes     | Yes
7 | repo-11.3-non-oss           | openSUSE-11.3 Non-OSS
| Yes     | No
8 | repo-11.3-oss               | openSUSE-11.3 OSS
| Yes     | No
9 | repo-11.3-update            | openSUSE-11.3 Updates
| Yes     | Yes

===
I just did a zypper dup --from 1, so kde 4.5 is current.

The 1500 or so packages that wnat to upgrade must be coming from
Packman or Contrib.

I'll just continue not to run zypper up.   I have no reason to run it.
 I was just experimenting.

Greg

Whats in tumbleweed? Isn't that the new repo for rolling updates?

Exactly!!!

It's only got a couple packages in it. Definitely a playground for now.

I just wanted to see if I could even see them by doing a
zypper dup --from tumbleweed.

I can't. Not sure why not.

fyi: with Greg KH leading the tumbleweed charge, the first real thing
it is likely to have is 2.6.36 stable kernel. Once that hits, I just
may go for a newer kernel.

Greg
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >